Extending Qt Creator Manual | TestDataDir

Extending Qt Creator Manual 4.5.2

# TestDataDir Class

(Core::Tests::TestDataDir)

- List of all members, including inherited members

## Public Functions

| TestDataDir(const QString &directory)
QString | directory(const QString &subdir = QString(), bool clean = true) const
QString | file(const QString &fileName) const
QString | path() const

## Member Function Documentation

### TestDataDir::TestDataDir(const QString &directory)

Default constructs an instance of TestDataDir.

### QString TestDataDir::directory(const QString &subdir = QString(), bool clean = true) const

### QString TestDataDir::file(const QString &fileName) const

### QString TestDataDir::path() const